package net.educoder.ecsonar.model;

public class Metrics {

    // 复杂度
    private Float complexity;

    private int lines;

    //漏洞
    private int block_violations;
    private int critical_violations;
    private int major_violations;
    private int minor_violations;
    private String violations;


    //缺陷
    private int block_bugs;
    private int critical_bugs;
    private int major_bugs;
    private int minor_bugs;
    private String bugs;

    //代码风格
    private int block_code_smells;
    private int critical_code_smells;
    private int major_code_smells;
    private int minor_code_smells;
    private String code_smells;


    public String getComplexity() {
        return complexity+"";
    }

    public void setComplexity(Float complexity) {
        this.complexity = complexity;
    }

    public int getLines() {
        return lines;
    }

    public void setLines(int lines) {
        this.lines = lines;
    }

    public int getBlock_violations() {
        return block_violations;
    }

    public void setBlock_violations(int block_violations) {
        this.block_violations = block_violations;
    }

    public int getCritical_violations() {
        return critical_violations;
    }

    public void setCritical_violations(int critical_violations) {
        this.critical_violations = critical_violations;
    }

    public int getMajor_violations() {
        return major_violations;
    }

    public void setMajor_violations(int major_violations) {
        this.major_violations = major_violations;
    }

    public int getMinor_violations() {
        return minor_violations;
    }

    public void setMinor_violations(int minor_violations) {
        this.minor_violations = minor_violations;
    }

    public String getViolations() {
        return violations;
    }

    public void setViolations(String violations) {
        this.violations = violations;
    }

    public int getBlock_bugs() {
        return block_bugs;
    }

    public void setBlock_bugs(int block_bugs) {
        this.block_bugs = block_bugs;
    }

    public int getCritical_bugs() {
        return critical_bugs;
    }

    public void setCritical_bugs(int critical_bugs) {
        this.critical_bugs = critical_bugs;
    }

    public int getMajor_bugs() {
        return major_bugs;
    }

    public void setMajor_bugs(int major_bugs) {
        this.major_bugs = major_bugs;
    }

    public int getMinor_bugs() {
        return minor_bugs;
    }

    public void setMinor_bugs(int minor_bugs) {
        this.minor_bugs = minor_bugs;
    }

    public String getBugs() {
        return bugs;
    }

    public void setBugs(String bugs) {
        this.bugs = bugs;
    }

    public int getBlock_code_smells() {
        return block_code_smells;
    }

    public void setBlock_code_smells(int block_code_smells) {
        this.block_code_smells = block_code_smells;
    }

    public int getCritical_code_smells() {
        return critical_code_smells;
    }

    public void setCritical_code_smells(int critical_code_smells) {
        this.critical_code_smells = critical_code_smells;
    }

    public int getMajor_code_smells() {
        return major_code_smells;
    }

    public void setMajor_code_smells(int major_code_smells) {
        this.major_code_smells = major_code_smells;
    }

    public int getMinor_code_smells() {
        return minor_code_smells;
    }

    public void setMinor_code_smells(int minor_code_smells) {
        this.minor_code_smells = minor_code_smells;
    }

    public String getCode_smells() {
        return code_smells;
    }

    public void setCode_smells(String code_smells) {
        this.code_smells = code_smells;
    }

    @Override
    public String toString() {
        return "Metrics{" +
                "complexity='" + complexity + '\'' +
                ", lines=" + lines +
                ", block_violations=" + block_violations +
                ", critical_violations=" + critical_violations +
                ", major_violations=" + major_violations +
                ", minor_violations=" + minor_violations +
                ", violations='" + violations + '\'' +
                ", block_bugs=" + block_bugs +
                ", critical_bugs=" + critical_bugs +
                ", major_bugs=" + major_bugs +
                ", minor_bugs=" + minor_bugs +
                ", bugs='" + bugs + '\'' +
                ", block_code_smells=" + block_code_smells +
                ", critical_code_smells=" + critical_code_smells +
                ", major_code_smells=" + major_code_smells +
                ", minor_code_smells=" + minor_code_smells +
                ", code_smells='" + code_smells + '\'' +
                '}';
    }
}
